/** @module parjs/combinators */ /** */
/**
 * Returns a parser that parses any single character. Equivalent
 * to `stringLen(1)`.
 */
export declare function anyChar(): import("../parjser").Parjser<string>;
/**
 * Returns a parser that parses a single ASCII inline space.
 */
export declare function space(): import("../parjser").Parjser<string>;
/**
 * Returns a parser that parses at least one ASCII inline space.
 */
export declare function spaces1(): import("../parjser").Parjser<string>;
/**
 * Returns a parser that parses any character in the string `options`.
 * @param options A string of alternative characters.
 */
export declare function anyCharOf(options: string): import("../parjser").Parjser<string>;
/**
 * Returns a parser that parses any character not in the string `exclusions`.
 * @param exclusions A string of characters to exclude.
 */
export declare function noCharOf(exclusions: string): import("../parjser").Parjser<string>;
/**
 * Returns a parser that parses a single ASCII letter.
 */
export declare function letter(): import("../parjser").Parjser<string>;
/**
 * Returns a parser that parses a single Unicode letter.
 */
export declare function uniLetter(): import("../parjser").Parjser<string>;
/**
 * Returns a parser that parses a single digit in base `base`.
 */
export declare function digit(base?: number): import("../parjser").Parjser<string>;
/**
 * Returns a parser that parses a single Unicode decimal digit.
 */
export declare function uniDecimal(): import("../parjser").Parjser<string>;
/**
 * Returns a parser that parses a single hex digit.
 */
export declare function hex(): import("../parjser").Parjser<string>;
/**
 * Returns a parser that parses a single ASCII lowercase letter.
 */
export declare function lower(): import("../parjser").Parjser<string>;
/**
 * Returns a parser that parses a single uppercase ASCII letter.
 */
export declare function upper(): import("../parjser").Parjser<string>;
/**
 * Returns a parser that parses a single lowercase Unicode letter.
 */
export declare function uniLower(): import("../parjser").Parjser<string>;
/**
 * Returns a parser that parses any amount of ASCII whitespace characters
 * and yields the parsed text.
 */
export declare function whitespace(): import("../parjser").Parjser<string>;
